Search Unity

Android Unable to merge android manifest Error

Discussion in 'ARCore' started by abrar-robotics, Jan 22, 2018.

?

How to remove this error.

  1. Kindly Provide me the solution

    100.0%
  2. due to ndk

    0 vote(s)
    0.0%
Multiple votes are allowed.
  1. abrar-robotics

    abrar-robotics

    Joined:
    Feb 16, 2016
    Posts:
    4
    CommandInvokationFailure: Unable to merge android manifests.
    C:\Program Files\Java\jdk1.8.0_131\bin\java.exe -Xmx2048M -Dcom.android.sdkmanager.toolsdir="G:/All Tools/android sdk/sdk\tools" -Dfile.encoding=UTF8 -jar "C:\Users\alienware\All Tools\unity 2017\unity3d 2017\Unity\Editor\Data\PlaybackEngines\AndroidPlayer/Tools\sdktools.jar" -
    stderr[
    ]
    stdout[
    Warning: [Temp\StagingArea\AndroidManifest-main.xml:12, G:\All Tools\All unitypackages\ARTool Kit GPS Pointing\MapboxGPSHeading-master\MapboxGPSHeading-master\Temp\StagingArea\android-libraries\mapbox-android-telemetry-2-1-0\AndroidManifest.xml:3] Main manifest has <uses-sdk android:targetSdkVersion='24'> but library uses targetSdkVersion='25'
    ]
    exit code: 1
    UnityEditor.Android.Command.WaitForProgramToRun (UnityEditor.Utils.Program p, UnityEditor.Android.WaitingForProcessToExit waitingForProcessToExit, System.String errorMsg)
    UnityEditor.Android.Command.Run (System.Diagnostics.ProcessStartInfo psi, UnityEditor.Android.WaitingForProcessToExit waitingForProcessToExit, System.String errorMsg)
    UnityEditor.Android.AndroidSDKTools.RunCommandInternal (System.String javaExe, System.String sdkToolsDir, System.String[] sdkToolCommand, Int32 memoryMB, System.String workingdir, UnityEditor.Android.WaitingForProcessToExit waitingForProcessToExit, System.String errorMsg)
    UnityEditor.Android.AndroidSDKTools.RunCommandSafe (System.String javaExe, System.String sdkToolsDir, System.String[] sdkToolCommand, Int32 memoryMB, System.String workingdir, UnityEditor.Android.WaitingForProcessToExit waitingForProcessToExit, System.String errorMsg)
    UnityEngine.GUIUtility:processEvent(Int32, IntPtr)
     
  2. abrar-robotics

    abrar-robotics

    Joined:
    Feb 16, 2016
    Posts:
    4
    Thanks for Your Replay
     
  3. nilsdr

    nilsdr

    Joined:
    Oct 24, 2017
    Posts:
    187
    You have to set minimum target sdk to 7.0

    Main manifest has <uses-sdk android:targetSdkVersion='24'> but library uses targetSdkVersion='25'

    Is what your log says. Enjoy my replay :)